Sync with 1.4.x wherein REQUEST_URI isn't always trustable under some PHP versions...
authorpdontthink <pdontthink@7612ce4b-ef26-0410-bec9-ea0150e637f0>
Fri, 5 Dec 2008 08:41:09 +0000 (08:41 +0000)
committerpdontthink <pdontthink@7612ce4b-ef26-0410-bec9-ea0150e637f0>
Fri, 5 Dec 2008 08:41:09 +0000 (08:41 +0000)
git-svn-id: https://svn.code.sf.net/p/squirrelmail/code/trunk/squirrelmail@13351 7612ce4b-ef26-0410-bec9-ea0150e637f0

functions/global.php

index aaf0638..36ee51a 100644 (file)
@@ -604,9 +604,11 @@ if (!function_exists('session_regenerate_id')) {
  * @since 1.2.3
  */
 function php_self () {
  * @since 1.2.3
  */
 function php_self () {
-    if ( sqgetGlobalVar('REQUEST_URI', $req_uri, SQ_SERVER) && !empty($req_uri) ) {
-      return $req_uri;
-    }
+    // PHP 4.4.4 apparently gives the wrong value here - missing the query string
+    // this code is commented out in the 1.4.x code, so we'll do the same here
+    //if ( sqgetGlobalVar('REQUEST_URI', $req_uri, SQ_SERVER) && !empty($req_uri) ) {
+    //  return $req_uri;
+    //}
 
     if ( sqgetGlobalVar('PHP_SELF', $php_self, SQ_SERVER) && !empty($php_self) ) {
 
 
     if ( sqgetGlobalVar('PHP_SELF', $php_self, SQ_SERVER) && !empty($php_self) ) {